=== debian/changelog ===
linglong-pica (1.2.2-1) unstable; urgency=medium

  * fix: Fix install_dep path error for install
  * feat: add exportFile arg for convert
  * feat: replace sh file

 -- bluesky <chenchongbiao@deepin.org>  Thu, 11 Jul 2024 17:53:11 +0800

linglong-pica (1.2.1-1) unstable; urgency=medium

  * fix: skip build err

 -- bluesky <chenchongbiao@deepin.org>  Mon, 01 Jul 2024 14:10:57 +0800

linglong-pica (1.2.0-1) unstable; urgency=medium

  * chore: add install_dep
  * fix: fix split Exec=
  * fix: fix get bin file error
  * feat: check dir add script
  * fix: The old version of base does not support skip installation
  * feat: Hide unimportant error messages

 -- bluesky <chenchongbiao@deepin.org>  Wed, 19 Jun 2024 14:55:57 +0800

linglong-pica (1.1.2-1) UNRELEASED; urgency=medium

  * fix: format version
  * feat: add --withDep
  * feat: Disable CGO
  * remove: remove install_dep

 -- bluesky <chenchongbiao@deepin.org>  Thu, 06 Jun 2024 09:58:00 +0800

linglong-pica (1.1.1-1) unstable; urgency=medium

  * chore: move install_dep to linglong.yaml
  * chore: Compatible with non store software conversions

 -- bluesky <chenchongbiao@deepin.org>  Mon, 27 May 2024 14:06:14 +0800

linglong-pica (1.1.0-1) unstable; urgency=medium

  * update version to 1.1.0

 -- bluesky <chenchongbiao@deepin.org>  Tue, 14 May 2024 09:41:09 +0800

linglong-pica (1.0.2-deepin1) unstable; urgency=medium

  * update version to 1.0.2

 -- liujianqiang <liujianqiang@uniontech.com>  Thu, 24 Nov 2022 11:01:43 +0800

linglong-pica (1.0.1-deepin1) unstable; urgency=medium

  * fix ll-builder config --name parameter error.

 -- liujianqiang <liujianqiang@uniontech.com>  Wed, 26 Oct 2022 16:28:43 +0800

linglong-pica (1.0.0-1) unstable; urgency=medium

  * Initial release.

 -- liujianqiang <liujianqiang@uniontech.com>  Fri, 23 Sep 2022 13:53:55 +0800
