=== debian/control ===
Source: linglong-pica
Section: admin
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper (>= 11),
 golang (>= 2:1.17),
Standards-Version: 4.1.3
Homepage: http://www.deepin.org

Package: linglong-pica
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 linglong-builder,
 grep,
Description: Linglong transform package tools.
 Linglong transform package command line tool from deb.
