=== debian/control ===
--- 
+++ 
@@ -15,5 +15,7 @@
  ${misc:Depends},
  linglong-builder,
  grep,
+ jq,
+ ostree
 Description: Linglong transform package tools.
  Linglong transform package command line tool from deb.
