=== debian/control ===
--- 
+++ 
@@ -16,6 +16,12 @@
  linglong-builder,
  grep,
  jq,
- ostree
+ ostree,
+ python3,
+ python3-yaml,
+ flatpak,
+ apt-file,
+ coreutils,
+ zstd,
 Description: Linglong transform package tools.
  Linglong transform package command line tool from deb.
